class BitSet { // eigentlich public

	private static final int LAENGE = 8;

	private int[] bitfolge;

	public BitSet() {
		this.bitfolge = new int[BitSet.LAENGE];
		for (int i = 0; i < BitSet.LAENGE; i++) {
			this.bitfolge[i] = 0;
		}
	}

	public BitSet(BitSet menge) {
		this.bitfolge = new int[BitSet.LAENGE];
		for (int i = 0; i < BitSet.LAENGE; i++) {
			this.bitfolge[i] = menge.bitfolge[i];
		}
	}

	public String makeString() {
		String bitstring = "";
		for (int i = 0; i < BitSet.LAENGE; i++) {
			bitstring = bitstring + this.bitfolge[i];
		}
		return bitstring;
	}

	public boolean equals(BitSet menge) {
		for (int i = 0; i < BitSet.LAENGE; i++) {
			if (this.bitfolge[i] != menge.bitfolge[i]) {
				return false;
			}
		}
		return true;
	}

	public void set(int bit) {
		if (bit <= 0 || bit > 8) {
			return; // Fehler
		}
		this.bitfolge[bit - 1] = 1;
	}

	public void delete(int bit) {
		if (bit <= 0 || bit > 8) {
			return; // Fehler
		}
		this.bitfolge[bit - 1] = 0;
	}

	public void and(BitSet menge) {
		for (int i = 0; i < BitSet.LAENGE; i++) {
			if (!(this.bitfolge[i] == 1 && menge.bitfolge[i] == 1)) {
				this.bitfolge[i] = 0;
			}
		}
	}

	public void not() {
		for (int i = 0; i < BitSet.LAENGE; i++) {
			this.bitfolge[i] = (this.bitfolge[i] + 1) % 2;
		}
	}

}

public class UE15Aufgabe7 {

	// kleines Testprogramm
	public static void main(String[] args) {
		BitSet menge1 = new BitSet();
		menge1.set(1);
		menge1.set(3);
		menge1.set(8);
		BitSet menge2 = new BitSet(menge1);
		menge2.delete(3);
		menge2.not();
		System.out.println(menge1);
		System.out.println(menge2);
		menge1.and(menge2);
		System.out.println(menge1);
		if (menge1.equals(menge2)) {
			System.out.println("sind gleich");
		}
	}
}
