class Stack { // eigentlich public
	private int[] values;
	private int next;

	public Stack(int maxSize) {
		this.values = new int[maxSize];
		this.next = 0;
	}

	public boolean isEmpty() {
		return this.next == 0;
	}

	public boolean isFull() {
		return this.next == this.values.length;
	}

	public void push(int value) {
		if (!this.isFull()) {
			this.values[this.next++] = value;
		}
	}

	public int pop() {
		if (!this.isEmpty()) {
			return this.values[--this.next];
		} else {
			return -1; // Fehlerbehandlung erfolgt spaeter mit Exceptions
		}
	}
}

public class UE15Aufgabe3 {
	
	// Testprogramm
	public static void main(String[] args) {
		Stack stack = new Stack(2);
		int zahl = IO.readInt("Zahl: ");
		while (zahl != 0) {
			if (!stack.isFull()) {
				stack.push(zahl);
			}
			zahl = IO.readInt("Zahl: ");
		}
		while (!stack.isEmpty()) {
			System.out.println(stack.pop());
		}
	}
}
